CASIN(3)

NAME
casin, casinf, casinl - complex arc sine

SYNOPSIS
#include <complex.h>

double complex casin(double complex z);

float complex casinf(float complex z);

long double complex casinl(long double complex z);

Link with -lm.

DESCRIPTION
The casin() function calculates the complex asin(). If y = casin(z), then z = csin(y). The real part of y is chosen in the interval [-pi/2,pi/2].

One has casin(z) = -i clog(iz+csqrt(1-z*z)).

CONFORMING TO
C99

SEE ALSO
ccos(3), clog(3), complex(5)